FAQ
i'm seeing bug 1627 - fails to compile on current versions (the bug
is reported against previous versions): postgresql 8.1.3 on mac os
10.4.6 fails to build:

ar crs libpq.a `lorder fe-auth.o fe-connect.o fe-exec.o fe-misc.o fe-
print.o fe-lobj.o fe-protocol2.o fe-protocol3.o pqexpbuffer.o
pqsignal.o fe-secure.o md5.o ip.o wchar.o encnames.o noblock.o
pgstrcasecmp.o thread.o | tsort`
usage: join [-a fileno | -v fileno ] [-e string] [-1 field] [-2 field]
[-o list] [-t char] file1 file2
ranlib libpq.a
gcc -no-cpp-precomp -O2 -Wall -Wmissing-prototypes -Wpointer-arith -
Winline -Wendif-labels -fno-strict-aliasing -dynamiclib -
install_name /usr/local/pgsql/lib/libpq.4.dylib -
compatibility_version 4 -current_version 4.1 -multiply_defined
suppress fe-auth.o fe-connect.o fe-exec.o fe-misc.o fe-print.o fe-
lobj.o fe-protocol2.o fe-protocol3.o pqexpbuffer.o pqsignal.o fe-
secure.o md5.o ip.o wchar.o encnames.o noblock.o pgstrcasecmp.o
thread.o -L../../../src/port -L/sw/lib -lresolv -o libpq.4.1.dylib
/usr/bin/libtool: for architecture: cputype (16777234) cpusubtype (0)
file: -lSystem is not an object file (not allowed in a library)
make[3]: *** [libpq.4.1.dylib] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all] Error 2
make: *** [all] Error 2

this is fatal. yes, i did run config. surfing in newsgroups
suggests circumstantially that running installations may be having
problems related to this as well.

steven pennebaker, sgp@surfnetusa.com

Search Discussions

  • Tom Lane at May 10, 2006 at 5:04 am

    Steven Pennebaker writes:
    ... postgresql 8.1.3 on mac os 10.4.6 fails to build:
    It works for me (on this same powerbook that I'm typing on) and for
    several Macs in the buildfarm.
    file: -lSystem is not an object file (not allowed in a library)
    Offhand that looks like some reports that we've seen before about
    obsolete tool chains, ie, I think you forgot to update Xcode when
    you updated to Tiger. See for instance this thread:
    http://archives.postgresql.org/pgsql-general/2005-05/msg00830.php

    PG 8.1 does generate a pile of warnings when compiled on Tiger
    w/current Xcode, but they're pretty harmless. As of CVS HEAD
    we're clean, that is I see just the same one or two flex-induced
    warnings on OS X as anywhere else...

    regards, tom lane

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedMay 8, '06 at 6:43a
activeMay 10, '06 at 5:04a
posts2
users2
websitepostgresql.org
irc#postgresql

2 users in discussion

Steven Pennebaker: 1 post Tom Lane: 1 post

People

Translate

site design / logo © 2022 Grokbase